﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<TskStatus> _taskDefList;
        public List<TskStatus> TaskDefList
        {
            get { return _taskDefList; }
            set { _taskDefList = value; }
        }

        public MainWindow()
        {
            InitializeComponent();
            _taskDefList = new List<TskStatus> 
            { 
                new TskStatus { TaskDefName = "Task 1", Added = 20, TaskDefID=1}, 
                new TskStatus { TaskDefName = "Task 2", Added = 120, TaskDefID=3},
                new TskStatus { TaskDefName = "Task 3", Added = 120, TaskDefID=2 }
            };
            this.DataContext = this;
        }
    }

    public class TskStatus
    {
        public string TaskDefName { get; set; }
        public int TaskDefID { get; set; }
        public long Added { get; set; }
    }   

}
